# $Revision: 1.19 $, $Date: 2004/09/19 22:09:07 $
Summary:	Front-end support for Inferior Scheme
Summary(pl):	Wsparcie dla Inferior Scheme
Name:		xemacs-scheme-pkg
%define 	srcname	scheme
Version:	1.14
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	0d64efd541819d9ba12cdafa9036edc7
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Front-end support for Inferior Scheme.

%description -l pl
Wsparcie dla Inferior Scheme.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/scheme/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-scheme-pkg.spec,v $
Revision 1.19  2004/09/19 22:09:07  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.18  2003/11/26 17:27:24  speedy
updated to  1.14

Revision 1.17  2003/09/09 10:25:00  ankry
- spaces -> tab

Revision 1.16  2003/05/28 13:03:06  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:28:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/11/30 23:00:30  juandon
- new %%doc

Revision 1.13  2002/11/21 16:46:01  mis
- autoupdated to 1.12

Revision 1.12  2002/04/14 12:26:58  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.11  2002/02/23 05:20:04  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/20 15:39:46  qboosh
- adapterized, descriptions from summaries; release 2

Revision 1.7  2001/02/13 18:31:27  mis
- updated to 1.11

Revision 1.6  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:56:53  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
